## EShellSidebar EShellSidebar — the left side of the main window |

## Functions

GtkWidget * | e_shell_sidebar_new ()
guint32 | e_shell_sidebar_check_state ()
struct _EShellView * | e_shell_sidebar_get_shell_view ()
const gchar * | e_shell_sidebar_get_icon_name ()
void | e_shell_sidebar_set_icon_name ()
const gchar * | e_shell_sidebar_get_primary_text ()
void | e_shell_sidebar_set_primary_text ()
const gchar * | e_shell_sidebar_get_secondary_text ()
void | e_shell_sidebar_set_secondary_text ()

## Types and Values

struct | EShellSidebar

## Includes

    #include <shell/e-shell-sidebar.h>

## Description

## Functions

### e_shell_sidebar_new ()

    GtkWidget *
    e_shell_sidebar_new (struct _EShellView *shell_view);

`e_shell_sidebar_new` is deprecated and should not be used in newly-written code.

Creates a new EShellSidebar instance belonging to `shell_view` .

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellSidebar instance

### e_shell_sidebar_check_state ()

    guint32
    e_shell_sidebar_check_state (EShellSidebar *shell_sidebar);

`e_shell_sidebar_check_state` is deprecated and should not be used in newly-written code.

EShellSidebar subclasses should implement the `check_state` method in EShellSidebarClass to return a set of flags describing the current sidebar selection. Subclasses are responsible for defining their own flags. This is primarily used to assist shell views with updating actions (see `e_shell_view_update_actions()`).

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

a set of flags describing the current `shell_sidebar` selection

### e_shell_sidebar_get_shell_view ()

    struct _EShellView *
    e_shell_sidebar_get_shell_view (EShellSidebar *shell_sidebar);

`e_shell_sidebar_get_shell_view` is deprecated and should not be used in newly-written code.

Returns the EShellView that was passed to `e_shell_sidebar_new()`.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the EShellView to which `shell_sidebar` belongs

### e_shell_sidebar_get_icon_name ()

    const gchar *
    e_shell_sidebar_get_icon_name (EShellSidebar *shell_sidebar);

`e_shell_sidebar_get_icon_name` is deprecated and should not be used in newly-written code.

Returns the icon name displayed at the top of the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the icon name for `shell_sidebar`

### e_shell_sidebar_set_icon_name ()

    void
    e_shell_sidebar_set_icon_name (EShellSidebar *shell_sidebar,
                                   const gchar *icon_name);

`e_shell_sidebar_set_icon_name` is deprecated and should not be used in newly-written code.

Sets the icon name displayed at the top of the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |
icon_name | a themed icon name |

### e_shell_sidebar_get_primary_text ()

    const gchar *
    e_shell_sidebar_get_primary_text (EShellSidebar *shell_sidebar);

`e_shell_sidebar_get_primary_text` is deprecated and should not be used in newly-written code.

Returns the primary text for `shell_sidebar` .

The primary text is displayed in bold at the top of the sidebar. It defaults to the shell view's label (as seen on the switcher button), but typically shows the name of the selected item in the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the primary text for `shell_sidebar`

### e_shell_sidebar_set_primary_text ()

    void
    e_shell_sidebar_set_primary_text (EShellSidebar *shell_sidebar,
                                      const gchar *primary_text);

`e_shell_sidebar_set_primary_text` is deprecated and should not be used in newly-written code.

Sets the primary text for `shell_sidebar` .

The primary text is displayed in bold at the top of the sidebar. It defaults to the shell view's label (as seen on the switcher button), but typically shows the name of the selected item in the sidebar.

#### Parameters

shell_sidebar | an EShellSidebar |
primary_text | text to be displayed in a bold font |

### e_shell_sidebar_get_secondary_text ()

    const gchar *
    e_shell_sidebar_get_secondary_text (EShellSidebar *shell_sidebar);

`e_shell_sidebar_get_secondary_text` is deprecated and should not be used in newly-written code.

Returns the secondary text for `shell_sidebar` .

The secondary text is displayed in a smaller font at the top of the sidebar. It typically shows information about the contents of the selected sidebar item, such as total number of items, number of selected items, etc.

#### Parameters

shell_sidebar | an EShellSidebar |

#### Returns

the secondary text for `shell_sidebar`

### e_shell_sidebar_set_secondary_text ()

    void
    e_shell_sidebar_set_secondary_text (EShellSidebar *shell_sidebar,
                                        const gchar *secondary_text);

`e_shell_sidebar_set_secondary_text` is deprecated and should not be used in newly-written code.

Sets the secondary text for `shell_sidebar` .

The secondary text is displayed in a smaller font at the top of the sidebar. It typically shows information about the contents of the selected sidebar item, such as total number of items, number of selected items, etc.

#### Parameters

shell_sidebar | an EShellSidebar |
secondary_text | text to be displayed in a smaller font |

## Types and Values

### struct EShellSidebar

    struct EShellSidebar {
    	GtkBin parent;
    	EShellSidebarPrivate *priv;
    };

`EShellSidebar` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.